com.aventstack.extentreports.reporter.configuration

## Class BasicFileConfiguration

- java.lang.Object
- - com.aventstack.extentreports.reporter.configuration.BasicConfiguration
  - - com.aventstack.extentreports.reporter.configuration.BasicFileConfiguration

- Direct Known Subclasses:
    ExtentHtmlReporterConfiguration, ExtentLoggerFormatterConfiguration

      public class BasicFileConfiguration
      extends BasicConfiguration

  Common configuration for file reporters:
  - `ExtentHtmlReporter`

- - ### Field Summary

    - ### Fields inherited from class com.aventstack.extentreports.reporter.configuration.BasicConfiguration

      `levels, reportName, timeStampFormat, usedConfigs`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BasicFileConfiguration()`
    `protected` | `BasicFileConfiguration(AbstractReporter reporter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCSS()`
    `String` | `getDocumentTitle()`
    `String` | `getEncoding()`
    `String` | `getJS()`
    `void` | `setCSS(String css)` Sets CSS to be used to customize the look and feel of your report
    `void` | `setDocumentTitle(String docTitle)` Sets the document title denoted by the `title` tag
    `void` | `setEncoding(String encoding)` Sets file encoding, eg: UTF-8
    `void` | `setJS(String js)` Adds custom JavaScript

    - ### Methods inherited from class com.aventstack.extentreports.reporter.configuration.BasicConfiguration

      `getConfigMap, getLevel, getReporter, getReportName, getTimeStampFormat, setLevel, setReportName, setTimeStampFormat`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicFileConfiguration

          protected BasicFileConfiguration()

    - #### BasicFileConfiguration

          protected BasicFileConfiguration(AbstractReporter reporter)

  - ### Method Detail

    - #### setEncoding

          public void setEncoding(String encoding)

      Sets file encoding, eg: UTF-8
      Parameters:
        `encoding` - Encoding

    - #### getEncoding

          public String getEncoding()

    - #### setDocumentTitle

          public void setDocumentTitle(String docTitle)

      Sets the document title denoted by the `title` tag
      Parameters:
        `docTitle` - Title

    - #### getDocumentTitle

          public String getDocumentTitle()

    - #### setCSS

          public void setCSS(String css)

      Sets CSS to be used to customize the look and feel of your report
      Parameters:
        `css` - CSS

    - #### getCSS

          public String getCSS()

    - #### setJS

          public void setJS(String js)

      Adds custom JavaScript
      Parameters:
        `js` - JavaScript

    - #### getJS

          public String getJS()

Copyright © 2018. All rights reserved.